.dark .pwr-accordion .ha-badge--ui-slate {
    color: var(--ui-slate-50);
}

/* This file is used as dependency in:
   ../../modules/sub-accordion.module/module.html 
   ../../modules/sec-accordion.module/module.html */

.ha-accordion {
  /* font-size: var(--fs-base); */
  color: var(--ui-slate-50);
  border-radius: 5px;
  overflow: hidden;
  transition: all 0.5s ease-in-out 0.25s;
}

.ha-accordion.ha-acc--fade-out {
  opacity: 0;
  pointer-events: none;
}

.ha-accordion--primary, .pwr--colored-box {
  background-color: var(--primary);
  --ha-accordion--background: var(--primary);
}

.ha-accordion--secondary {
  background-color: var(--ui-gray-600);
  --ha-accordion--background: var(--ui-gray-600);
}

.ha-accordion--tertiary {
  background-color: var(--ui-slate-50);
  --ha-accordion--background: var(--ui-slate-50);
}

.ha-accordion--tertiary .pwr-accordion__title, 
.ha-accordion--tertiary .pwr-accordion.active .pwr-accordion__title {
    color: var(--ui-slate-600) !important;
}
.dark .ha-accordion--tertiary {
  background-color: var(--ui-slate-600);
  --ha-accordion--background: var(--ui-slate-600);
}
.dark .ha-accordion--tertiary .pwr-accordion__title, 
.dark .ha-accordion--tertiary .pwr-accordion.active .pwr-accordion__title {
    color: white !important;
}

.pwr-accordion-container {
    background-color: transparent;
}

.pwr-accordion {
    border-radius: var(--br-box);
    margin-bottom: 16px;
    width: 100%;
}

.pwr-accordion:not(.pwr-accordion--text-only) {
    --mod-acc-clr-hover-box-txt: var(--clr-hover-box-txt);
    --mod-acc-clr-hover-box-background: var(--ha-accordion--background); /* var(--clr-hover-box-background); */
    --mod-acc-clr-active-box-txt: var(--clr-hover-box-txt);
    --mod-acc-clr-active-box-background: var(--ha-accordion--background); /* var(--clr-hover-box-background); */
}

.pwr-accordion--text-only {
    background: transparent;
    border-bottom: 2px solid rgba(var(--clr-base-dk-rgb),.15);
    border-radius: 0px;
}

.pwr--dark .pwr-accordion--text-only {
    background: transparent;
    border-color: rgba(var(--clr-base-lt-rgb),.15);
}

.pwr-accordion--text-only .pwr-accordion__icon {
    right: 10px;
}

.pwr-accordion--text-only .pwr-accordion__title {
    padding-top: 16px;
    padding-bottom: 16px;
}

.pwr-accordion--text-only .pwr-accordion__title {
    padding-left: 0;
}

.pwr-accordion--text-only .pwr-accordion__desc {
    padding-left: 0;
}

.pwr-accordion--text-only .pwr-accordion__desc {
    padding-bottom: 16px;
}

.pwr-accordion--text-only.active {
    border-color: var(--mod-acc-txt-only-clr-active-box-background, var(--clr-primary));
}

.pwr-accordion.active.pwr-accordion--text-only .pwr-accordion__title {
    background-color: transparent !important;
    /* color: var(--mod-acc-txt-only-clr-active-box-txt, var(--clr-text-lt)) !important; */
    color: var(--ui-slate-50) !important;
}

.pwr-accordion.active.pwr-accordion--text-only .pwr-accordion__desc {
    background-color: transparent !important;
    color: var(--mod-acc-txt-only-clr-active-box-txt, var(--clr-text-lt)) !important;
}

.pwr--dark .pwr-accordion.active.pwr-accordion--text-only .pwr-accordion__title {
    color: var(--mod-acc-txt-only-clr-active-box-txt, var(--clr-text-dk)) !important;
}

.pwr--dark .pwr-accordion.active.pwr-accordion--text-only .pwr-accordion__desc {
    color: var(--mod-acc-txt-only-clr-active-box-txt, var(--clr-text-dk)) !important;
}

.pwr-accordion.active.pwr-accordion--text-only .pwr-accordion__icon::before {
    background-color: var(--mod-acc-txt-only-clr-active-box-txt, var(--clr-text-lt));
}

.pwr-accordion.active.pwr-accordion--text-only .pwr-accordion__icon::after {
    background-color: var(--mod-acc-txt-only-clr-active-box-txt, var(--clr-text-lt));
}

.pwr--dark .pwr-accordion.active.pwr-accordion--text-only .pwr-accordion__icon::before {
    background-color: var(--mod-acc-txt-only-clr-active-box-txt, var(--clr-text-dk));
}

.pwr--dark .pwr-accordion.active.pwr-accordion--text-only .pwr-accordion__icon::after {
    background-color: var(--mod-acc-txt-only-clr-active-box-txt, var(--clr-text-dk));
}

.pwr-accordion--box-glass {
    background-color: rgba(var(--clr-base-lt-rgb),.30);
}

.pwr--dark .pwr-accordion--box-glass {
    background-color: rgba(var(--clr-base-dk-rgb),.30);
}

/* Pills */
.ha-accordion-filter__pill {
  color: var(--ui-slate-600);
  display: inline-flex;
  align-items: center;
  justify-content: center;
  text-decoration: none;
  white-space: nowrap;
  border-radius: 50px;
  padding: 2px 10px 2px 10px;
  border: 1.5px solid var(--ui-slate-600);

  font-weight: 600;
  font-size: 14px;
  line-height: 20px;
}
.ha-accordion-filter__pill:hover, .dark .ha-accordion-filter__pill:hover {
  color: #fff;
  background-color: var(--primary);
  border-color: var(--primary);
}

.dark .ha-accordion-filter__pill {
  color: var(--ui-slate-400);
  border-color: var(--ui-slate-400);
  background-color: transparent;
}
.ha-category-pills__list {
  display: flex;
  flex-wrap: wrap;
  gap: 8px;
  margin-bottom: 32px;
}

/* End Pills */
@supports (-webkit-backdrop-filter: none) or (backdrop-filter: none) {
    .pwr-accordion--box-glass {
        -webkit-backdrop-filter: blur(12px);
        backdrop-filter: blur(12px);
        background-color: rgba(var(--clr-base-lt-rgb),.15);
    }

    .pwr--dark .pwr-accordion--box-glass {
        background-color: rgba(var(--clr-base-dk-rgb),.15);
    }
}

.pwr-accordion-container:not(.pwr--dark) .pwr-accordion--box-border {
    background: transparent;
    border: 2px solid var(--clr-base-dk);
}

.pwr--dark .pwr-accordion-container:not(.pwr--light) .pwr-accordion--box-border {
    background: transparent;
    border: 2px solid var(--clr-base-lt);
}

.pwr-accordion-container.pwr--dark .pwr-accordion--box-border {
    background: transparent;
    border: 2px solid var(--clr-base-lt);
}

.pwr-accordion-container:not(.pwr--dark) .pwr-accordion--box-border.active {
    border: 2px solid var(--mod-acc-clr-active-box-background);
}

.pwr--dark .pwr-accordion-container:not(.pwr--light) .pwr-accordion--box-border.active {
    border: 2px solid var(--mod-acc-clr-active-box-background);
}

.pwr-accordion-container.pwr--dark .pwr-accordion--box-border.active {
    border: 2px solid var(--mod-acc-clr-active-box-background);
}

.pwr-accordion--color-overwritten:not(.pwr-accordion--text-only) {
    background-color: transparent !important;
}

.pwr-accordion__title {
    cursor: pointer;
    display: block;
    font-weight: 700;
    padding: 25px 70px 25px 30px;
    position: relative;
    text-transform: none; /* var(--tt-title); */
}

.pwr--light .pwr-accordion__title {
    /* color: var(--clr-text-lt); */
    color: var(--ui-slate-50);
}

.pwr--dark .pwr-accordion__title {
    color: var(--clr-text-dk);
}

.pwr-accordion-container.pwr--light .pwr-accordion__title {
    background-color: var(--clr-background-lt);
    color: var(--clr-text-lt);
}

.pwr-accordion-container.pwr--dark .pwr-accordion__title {
    background-color: var(--clr-background-dk);
    color: var(--clr-text-dk);
}

.ha-accordion--primary .pwr-accordion.active .pwr-accordion__title,
.ha-accordion--secondary .pwr-accordion.active .pwr-accordion__title {
    background-color: var(--mod-acc-clr-active-box-background) !important;
    color: var(--mod-acc-clr-active-box-txt) !important;
}

.pwr-accordion__icon {
    position: absolute;
    right: 40px;
    top: 50%;
}

.pwr-accordion__icon::before {
    position: absolute;
    content: "";
}

.pwr-accordion__icon::after {
    position: absolute;
    content: "";
}

.pwr--light .pwr-accordion__icon::before {
    background-color: #ffffff;
}

.pwr--light .pwr-accordion__icon::after {
    background-color: #ffffff;
}

.ha-accordion--tertiary .pwr-accordion__icon::before,
.ha-accordion--tertiary .pwr-accordion__icon::after {
    background-color: var(--ui-slate-600);
}

.pwr-accordion-container.pwr--light .pwr-accordion__icon::before {
    background-color: var(--clr-base-dk);
}

.pwr-accordion-container.pwr--light .pwr-accordion__icon::after {
    background-color: var(--clr-base-dk);
}

.pwr--dark .pwr-accordion__icon::before {
    background-color: var(--clr-text-dk);
}

.pwr--dark .pwr-accordion__icon::after {
    background-color: var(--clr-text-dk);
}

.pwr-accordion-container.pwr--dark .pwr-accordion__icon::before {
    background-color: var(--clr-text-dk);
}

.pwr-accordion-container.pwr--dark .pwr-accordion__icon::after {
    background-color: var(--clr-text-dk);
}

.pwr-accordion.active .pwr-accordion__icon::before {
    background-color: var(--mod-acc-clr-active-box-txt);
}

.pwr-accordion.active .pwr-accordion__icon::after {
    background-color: var(--mod-acc-clr-active-box-txt);
}

.ha-accordion--tertiary .pwr-accordion__icon::before,
.ha-accordion--tertiary .pwr-accordion__icon::after {
    background-color:  var(--ui-slate-600) !important;
}

.dark .ha-accordion--tertiary .pwr-accordion__icon::after,
.dark .ha-accordion--tertiary .pwr-accordion__icon::before {
    background-color: var(--ui-slate-50) !important;
}

.pwr-accordion__icon::before {
    left: -6px;
    width: 15px;
    height: 3px;
    background-color: #ffffff;
}

.pwr-accordion__icon::after {
    top: -6px;
    width: 3px;
    height: 15px;
    background-color: #ffffff;
}

.pwr-accordion__icon.active::before {
    -webkit-transform: rotate(-180deg);
    transform: rotate(-180deg);
}

.pwr-accordion__icon.active::after {
    -webkit-transform: rotate(-90deg);
    transform: rotate(-90deg);
}
.pwr-accordion .pwr-accordion__desc {
    transition: none !important;
}
.pwr-accordion__desc {
    /* background-color: var(--clr-primary); */
    color: var(--clr-text-dk);
    display: none;
    overflow: hidden;
    padding: 0 30px 30px;
}

.ha-accordion--primary .pwr-accordion.active .pwr-accordion__desc,
.ha-accordion--secondary .pwr-accordion.active .pwr-accordion__desc {
    background-color: var(--mod-acc-clr-active-box-background) !important;
    color: var(--mod-acc-clr-active-box-txt) !important;
}

.ha-accordion--tertiary .pwr-accordion__desc {
    background-color: var(--ui-slate-50) !important;
    color: var(--ui-slate-600) !important;
}

.dark .ha-accordion--tertiary .pwr-accordion__desc {
    color: var(--ui-slate-50) !important;
    background-color: var(--ui-slate-600) !important;
}

.pwr-accordion.active .pwr-accordion__desc * {
    --clr-keyboard-focus: var(--mod-acc-clr-active-box-txt);
}


.pwr-accordion.active .pwr-read-more__button,
.pwr-accordion.active .pwr-read-more__button:hover {
    color: var(--mod-acc-clr-active-box-txt) !important;
}

.pwr-accordion:not(.pwr-accordion--text-only).active .pwr-accordion__desc a,
.pwr-accordion:not(.pwr-accordion--text-only).active .pwr-accordion__desc a:hover {
    color: inherit;
    font-weight: 700;
}
.pwr-sec-accordion {
    background-color: transparent !important;
    padding: 100px 0 40px !important;
    max-width: 880px;
    margin: 0 auto;
}

.pwr-accordion-container.pwr--light .pwr-accordion__desc {
    background-color: var(--clr-background-lt);
    color: var(--clr-text-lt);
}

.pwr-accordion-container.pwr--dark .pwr-accordion__desc {
    background-color: var(--clr-background-dk);
    color: var(--clr-text-dk);
}
.pwr-sec-accordion__intro-sec, .pwr-sec__intro-sec {
    text-align: center;
}
.pwr-sec__title {
    font-weight: 600;
    font-size: 36px;
    line-height: 40px;
}
.dark .pwr-sec__title, .dark .pwr-rich-text {
    color: #ffffff;
}

.pwr-sec__desc, .pwr-sec-accordion__desc {
    font-weight: 400;
    font-size: 18px;
    line-height: 28px;
}
.pwr-sec__title + .pwr-sec__desc {
    margin-top: 8px;
}
.pwr-sec-accordion__intro-sec {
    margin-bottom: 32px !important;
}

@media (max-width: 767px) {
    .pwr-accordion__title {
        padding: 20px 55px 20px 20px;
    }

    .pwr-accordion__icon {
        right: 30px;
    }

    .pwr-accordion__icon::before {
        left: -5px;
        width: 12px;
        height: 2px;
    }

    .pwr-accordion__icon::after {
        top: -5px;
        width: 2px;
        height: 12px;
    }

    .pwr-accordion__desc {
        padding: 0 20px 20px;
    }

    /* .ha-category-pills__list {
        margin-bottom: 16px;
    } */
}

@media (max-width: 575px) {
    .page-center {
        margin-left: 20px !important;
        margin-right: 20px !important;
    }
}

@media (min-width: 576px) {
    .pwr-accordion-2col {
        float: left;
        max-width: 50%;
        width: 100%;
    }

    .pwr-accordion-2col:first-child {
        padding-right: 10px;
    }

    .pwr-accordion-2col:nth-child(2) {
        padding-left: 10px;
    }
}
